/*!
  \file
  \brief リモート描画 (マスター側)

  \author Satofumi KAMIMURA

  $Id: SlaveLayer.cpp 939 2009-05-29 12:32:03Z satofumi $
*/

#include "SlaveLayer.h"
#include "Component.h"

using namespace qrk;


struct SlaveLayer::pImpl
{
  // !!!
};


SlaveLayer::SlaveLayer(void) : pimpl(new pImpl)
{
}


SlaveLayer::~SlaveLayer(void)
{
}


void SlaveLayer::setAlpha(float alpha)
{
  static_cast<void>(alpha);
  // !!!
}


void SlaveLayer::draw(void)
{
  // !!!
}


void SlaveLayer::clear(void)
{
  // !!!
}


void SlaveLayer::push_front(Component* component)
{
  static_cast<void>(component);
  // !!!
}


void SlaveLayer::push_back(Component* component)
{
  static_cast<void>(component);
  // !!!
}


void SlaveLayer::remove(Component* component)
{
  static_cast<void>(component);
  // !!!
}


void SlaveLayer::setPacket(const Packet& packet)
{
  static_cast<void>(packet);
  // !!!
}
